diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/deprecated.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/deprecated.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/deprecated.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/deprecated.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 42,53 ****
   * @since 2.0.0
   * @deprecated 3.0.0
   * @deprecated Use wp_constrain_dimensions()
   *
   * @param int $width Current width of the image
   * @param int $height Current height of the image
   * @param int $wmax Maximum wanted width
   * @param int $hmax Maximum wanted height
!  * @return mixed Array(height,width) of shrunk dimensions.
   */
  function wp_shrink_dimensions( $width, $height, $wmax = 128, $hmax = 96 ) {
  	_deprecated_function( __FUNCTION__, '3.0', 'wp_constrain_dimensions()' );
--- 42,54 ----
   * @since 2.0.0
   * @deprecated 3.0.0
   * @deprecated Use wp_constrain_dimensions()
+  * @see wp_constrain_dimensions()
   *
   * @param int $width Current width of the image
   * @param int $height Current height of the image
   * @param int $wmax Maximum wanted width
   * @param int $hmax Maximum wanted height
!  * @return array Shrunk dimensions (width, height).
   */
  function wp_shrink_dimensions( $width, $height, $wmax = 128, $hmax = 96 ) {
  	_deprecated_function( __FUNCTION__, '3.0', 'wp_constrain_dimensions()' );
***************
*** 55,60 ****
--- 56,78 ----
  }
  
  /**
+  * Calculated the new dimensions for a downsampled image.
+  *
+  * @since 2.0.0
+  * @deprecated 3.5.0
+  * @deprecated Use wp_constrain_dimensions()
+  * @see wp_constrain_dimensions()
+  *
+  * @param int $width Current width of the image
+  * @param int $height Current height of the image
+  * @return array Shrunk dimensions (width, height).
+  */
+ function get_udims( $width, $height ) {
+ 	_deprecated_function( __FUNCTION__, '3.5', 'wp_constrain_dimensions()' );
+ 	return wp_constrain_dimensions( $width, $height, 128, 96 );
+ }
+ 
+ /**
   * {@internal Missing Short Description}}
   *
   * @since 0.71
***************
*** 249,255 ****
  
  	global $wpdb;
  
! 	$user = new WP_User( $user_id );
  	$post_type_obj = get_post_type_object($post_type);
  
  	if ( ! $user->has_cap($post_type_obj->cap->edit_others_posts) ) {
--- 267,274 ----
  
  	global $wpdb;
  
! 	if ( ! $user = get_userdata( $user_id ) )
! 		return array();
  	$post_type_obj = get_post_type_object($post_type);
  
  	if ( ! $user->has_cap($post_type_obj->cap->edit_others_posts) ) {
***************
*** 938,941 ****
  	_deprecated_function( __FUNCTION__, '3.4', 'wp_get_theme()' );
  
  	return wp_get_theme();
! }
\ No newline at end of file
--- 957,1028 ----
  	_deprecated_function( __FUNCTION__, '3.4', 'wp_get_theme()' );
  
  	return wp_get_theme();
! }
! 
! /**
!  * This was once used to display an 'Insert into Post' button. Now it is deprecated and stubbed.
!  *
!  * @deprecated 3.5.0
!  */
! function _insert_into_post_button( $type ) {
! 	_deprecated_function( __FUNCTION__, '3.5' );
! }
! 
! /**
!  * This was once used to display a media button. Now it is deprecated and stubbed.
!  *
!  * @deprecated 3.5.0
!  */
! function _media_button($title, $icon, $type, $id) {
! 	_deprecated_function( __FUNCTION__, '3.5' );
! }
! 
! /**
!  * Get an existing post and format it for editing.
!  *
!  * @since 2.0.0
!  * @deprecated 3.5.0
!  *
!  * @param int $id
!  * @return object
!  */
! function get_post_to_edit( $id ) {
! 	_deprecated_function( __FUNCTION__, '3.5', 'get_post()' );
! 
! 	return get_post( $id, OBJECT, 'edit' );
! }
! 
! /**
!  * Get the default page information to use.
!  *
!  * @since 2.5.0
!  * @deprecated 3.5.0
!  * @deprecated Use get_default_post_to_edit()
!  *
!  * @return WP_Post Post object containing all the default post data as attributes
!  */
! function get_default_page_to_edit() {
! 	_deprecated_function( __FUNCTION__, '3.5', "get_default_post_to_edit( 'page' )" );
! 
! 	$page = get_default_post_to_edit();
! 	$page->post_type = 'page';
! 	return $page;
! }
! 
! /**
!  * This was once used to create a thumbnail from an Image given a maximum side size.
!  *
!  * @since 1.2.0
!  * @deprecated 3.5.0
!  * @deprecated Use image_resize()
!  * @see  image_resize()
!  *
!  * @param mixed $file Filename of the original image, Or attachment id.
!  * @param int $max_side Maximum length of a single side for the thumbnail.
!  * @param mixed $deprecated Never used.
!  * @return string Thumbnail path on success, Error string on failure.
!  */
! function wp_create_thumbnail( $file, $max_side, $deprecated = '' ) {
! 	_deprecated_function( __FUNCTION__, '3.5', 'image_resize' );
! 	return apply_filters( 'wp_create_thumbnail', image_resize( $file, $max_side, $max_side ) );
! }
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/export.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/export.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/export.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/export.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 238,244 ****
  		global $wpdb;
  
  		$authors = array();
! 		$results = $wpdb->get_results( "SELECT DISTINCT post_author FROM $wpdb->posts" );
  		foreach ( (array) $results as $result )
  			$authors[] = get_userdata( $result->post_author );
  
--- 238,244 ----
  		global $wpdb;
  
  		$authors = array();
! 		$results = $wpdb->get_results( "SELECT DISTINCT post_author FROM $wpdb->posts WHERE post_status != 'auto-draft'" );
  		foreach ( (array) $results as $result )
  			$authors[] = get_userdata( $result->post_author );
  
***************
*** 279,285 ****
  	 * @since 2.3.0
  	 */
  	function wxr_post_taxonomy() {
! 		global $post;
  
  		$taxonomies = get_object_taxonomies( $post->post_type );
  		if ( empty( $taxonomies ) )
--- 279,285 ----
  	 * @since 2.3.0
  	 */
  	function wxr_post_taxonomy() {
! 		$post = get_post();
  
  		$taxonomies = get_object_taxonomies( $post->post_type );
  		if ( empty( $taxonomies ) )
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/file.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/file.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/file.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/file.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 1,6 ****
  <?php
  /**
!  * File contains all the administration image manipulation functions.
   *
   * @package WordPress
   * @subpackage Administration
--- 1,8 ----
  <?php
  /**
!  * Functions for reading, writing, modifying, and deleting files on the file system.
!  * Includes functionality for theme-specific files as well as operations for uploading,
!  * archiving, and rendering output when necessary.
   *
   * @package WordPress
   * @subpackage Administration
***************
*** 79,88 ****
  function get_home_path() {
  	$home = get_option( 'home' );
  	$siteurl = get_option( 'siteurl' );
! 	if ( $home != '' && $home != $siteurl ) {
! 		$wp_path_rel_to_home = str_replace($home, '', $siteurl); /* $siteurl - $home */
! 		$pos = strrpos($_SERVER["SCRIPT_FILENAME"], $wp_path_rel_to_home);
! 		$home_path = substr($_SERVER["SCRIPT_FILENAME"], 0, $pos);
  		$home_path = trailingslashit( $home_path );
  	} else {
  		$home_path = ABSPATH;
--- 81,90 ----
  function get_home_path() {
  	$home = get_option( 'home' );
  	$siteurl = get_option( 'siteurl' );
! 	if ( ! empty( $home ) && 0 !== strcasecmp( $home, $siteurl ) ) {
! 		$wp_path_rel_to_home = str_ireplace( $home, '', $siteurl ); /* $siteurl - $home */
! 		$pos = strripos( str_replace( '\\', '/', $_SERVER['SCRIPT_FILENAME'] ), trailingslashit( $wp_path_rel_to_home ) );
! 		$home_path = substr( $_SERVER['SCRIPT_FILENAME'], 0, $pos );
  		$home_path = trailingslashit( $home_path );
  	} else {
  		$home_path = ABSPATH;
***************
*** 225,230 ****
--- 227,233 ----
   * @uses delete_transient
   * @param array $file Reference to a single element of $_FILES. Call the function once for each uploaded file.
   * @param array $overrides Optional. An associative array of names=>values to override default variables with extract( $overrides, EXTR_OVERWRITE ).
+  * @param string $time Optional. Time formatted in 'yyyy/mm'.
   * @return array On success, returns an associative array of file attributes. On failure, returns $overrides['upload_error_handler'](&$file, $message ) or array( 'error'=>$message ).
   */
  function wp_handle_upload( &$file, $overrides = false, $time = null ) {
***************
*** 357,365 ****
   * @uses wp_unique_filename
   * @param array $file an array similar to that of a PHP $_FILES POST array
   * @param array $overrides Optional. An associative array of names=>values to override default variables with extract( $overrides, EXTR_OVERWRITE ).
   * @return array On success, returns an associative array of file attributes. On failure, returns $overrides['upload_error_handler'](&$file, $message ) or array( 'error'=>$message ).
   */
! function wp_handle_sideload( &$file, $overrides = false ) {
  	// The default error handler.
  	if (! function_exists( 'wp_handle_upload_error' ) ) {
  		function wp_handle_upload_error( &$file, $message ) {
--- 360,369 ----
   * @uses wp_unique_filename
   * @param array $file an array similar to that of a PHP $_FILES POST array
   * @param array $overrides Optional. An associative array of names=>values to override default variables with extract( $overrides, EXTR_OVERWRITE ).
+  * @param string $time Optional. Time formatted in 'yyyy/mm'.
   * @return array On success, returns an associative array of file attributes. On failure, returns $overrides['upload_error_handler'](&$file, $message ) or array( 'error'=>$message ).
   */
! function wp_handle_sideload( &$file, $overrides = false, $time = null ) {
  	// The default error handler.
  	if (! function_exists( 'wp_handle_upload_error' ) ) {
  		function wp_handle_upload_error( &$file, $message ) {
***************
*** 436,442 ****
  	}
  
  	// A writable uploads dir will pass this test. Again, there's no point overriding this one.
! 	if ( ! ( ( $uploads = wp_upload_dir() ) && false === $uploads['error'] ) )
  		return $upload_error_handler( $file, $uploads['error'] );
  
  	$filename = wp_unique_filename( $uploads['path'], $file['name'], $unique_filename_callback );
--- 440,446 ----
  	}
  
  	// A writable uploads dir will pass this test. Again, there's no point overriding this one.
! 	if ( ! ( ( $uploads = wp_upload_dir( $time ) ) && false === $uploads['error'] ) )
  		return $upload_error_handler( $file, $uploads['error'] );
  
  	$filename = wp_unique_filename( $uploads['path'], $file['name'], $unique_filename_callback );
